html,
body {
    background-color: #000000;
    background-size: cover;
    position: relative;
    display: block;
    margin: 0 auto;
    overflow-x: hidden;
    min-height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: 'BonaNova';
    padding: unset !important;
}

/* ------------------------------------------------ FLOATING ------------------------------------------------- */
.ggl-roc-floating {
    position: fixed;
    max-width: 216px;
    width: 8%;
    top: 3%;
    left: 3%;
    z-index: 2;
}

video.float-btn {
    position: fixed;
    width: 13%;
    top: 20%;
    right: 87.4%;
    z-index: 2;
}

.ggl-veteran-floating {
    position: fixed;
    width: 12%;
    top: 43%;
    z-index: 2;
    left: 0%;
    animation: pulse 3s infinite ease-in-out;
}

.ggl-eddga-floating {
    position: fixed;
    max-width: 1000px;
    width: 14%;
    top: 59%;
    left: -1%;
    z-index: 2;
    animation: pulse 3s infinite ease-in-out;
}

.mfp-iframe-holder .mfp-content {
    border: 10px solid #e9ca81a4 !important;
    border-radius: 0px !important;
}

@keyframes pulse {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    50% {
        -webkit-transform: scale3d(1.05, 1.05, 1.05);
        transform: scale3d(1.05, 1.05, 1.05);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@media (max-width: 767px) {
    video.float-btn {
        position: absolute;
        max-width: 244px;
        width: 35%;
        top: -1%;
        right: -3%;
    }
}

/* ------------------------------------------------ SECTION 1 [EDDGA PREREGISTER] ------------------------------------------------- */
.main-bg-video {
    position: absolute;
    width: 100vw;
    z-index: 1;
    top: -7%;
    object-fit: cover;
}

.ggl-roc-section-1 {
    position: relative;
    display: block;
    margin: 0 auto;
    max-width: none;
    width: 100%;
    min-height: 55vw;
    overflow: hidden;
}

.ggl-roc-section-1-bg {
    position: absolute;
    left: 0;
    width: 100%;
    height: auto;
    object-fit: cover;
    z-index: 0;
}

.ggl-roc-section-1-content {
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.ggl-roc-section-1-logo {
    z-index: 9;
    position: absolute;
    max-width: 912px;
    width: 36%;
    top: 15%;
    left: 33%;
    transition: all 0.4s ease;
}

.ggl-roc-section-1-logo.hide {
    opacity: 0;
    pointer-events: none;
}

.ggl-roc-section-1-btn-prereg {
    position: absolute;
    max-width: 910px;
    width: 34%;
    top: 61%;
    left: 33%;
    z-index: 1;
    animation: pulse 1.5s infinite ease-in-out;
    cursor: pointer;
}

.ggl-roc-section-1-date {
    position: absolute;
    max-width: 635px;
    width: 34%;
    bottom: 17%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media (min-width: 2560px) {
    .ggl-roc-section-1-date {
        transform: translate(-50%, -50%) scale(1.4);
    }

    .ggl-roc-section-1-logo {
        width: 27%;
        top: 17%;
        left: 38%;
        transform: scale(1.2);
    }
}

@media (max-width: 767px) {
    .ggl-roc-floating {
        position: absolute;
        width: 40vw;
        top: 1%;
        right: 4%;
    }

    .ggl-update-floating {
        position: absolute;
        max-width: 867px;
        width: 44vw;
        top: 0.7%;
        right: 57%;
    }

    .ggl-roc-section-1 {
        min-height: 177vw;
    }

    .ggl-roc-section-1-content {
        position: relative;
        z-index: 2;
        height: 177vw;
    }

    .ggl-roc-section-1-logo {
        width: 97vw;
        top: 26vw;
        left: 2%;
    }

    .ggl-roc-section-1-btn-prereg {
        width: 70%;
        top: 63%;
        left: 15%;
    }

    .ggl-roc-section-1-date {
        top: 83%;
        width: 55%;
        transform: translate(-50%, -50%) scale(1.5);
    }
}

/* ------------------------------------------------ SECTION 2 [EDDGA VETERAN] ------------------------------------------------- */

.main-bg-video {
    position: absolute;
    width: 100vw;
    z-index: 1;
    top: -7%;
    object-fit: cover;
}

.ggl-roc-section-2 {
    position: relative;
    display: block;
    margin: 0 auto;
    max-width: none;
    width: 100%;
    height: 55vw;
    overflow: hidden;
}

.ggl-roc-section-2-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    object-fit: cover;
    z-index: 0;
}

.ggl-roc-section-2-content {
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.ggl-roc-section-2-char1 {
    position: absolute;
    max-width: 503px;
    width: 24%;
    left: 15%;
    z-index: 1;
    animation: floatChar1 4s ease-in-out infinite;
}

.ggl-roc-section-2-char2 {
    position: absolute;
    max-width: 541px;
    width: 26%;
    top: 15%;
    left: 22%;
    z-index: -1;
    animation: cardMove2 6s ease-in-out infinite;
}

.ggl-roc-section-2-char3 {
    position: absolute;
    max-width: 533px;
    width: 26%;
    top: 14%;
    left: 2%;
    z-index: -1;
    animation: cardMove3 6s ease-in-out infinite;
}

.ggl-roc-section-2-char2 {
    animation-delay: 0.5s;
}

.ggl-roc-section-2-char3 {
    animation-delay: 1s;
}

.ggl-roc-section-2-title {
    position: absolute;
    max-width: 906px;
    width: 38%;
    top: 28%;
    left: 75%;
    transform: translate(-50%, -50%);
    z-index: 1;
}

.ggl-roc-section-2-btn {
    position: absolute;
    max-width: 801px;
    width: 36%;
    top: 45%;
    right: 7%;
    cursor: pointer;
    animation: pulse 4s infinite ease-in-out;
    transition: transform 0.5s ease;
}

.ggl-roc-section-2-tagline {
    position: absolute;
    max-width: 686px;
    width: 37%;
    top: 55%;
    right: 7%;
}

.ggl-roc-section-2-roll {
    position: absolute;
    width: 100%;
    height: 28%;
    bottom: 9%;
    background-image: url(../images/teaser/eddga_veteran/page1/roll.png);
    background-repeat: repeat-x;
    background-position: 0 0;
    background-size: auto 100%;
    animation: cameraRoll 20s linear infinite;
}

@keyframes cameraRoll {
    from {
        background-position: 0 0;
    }

    to {
        background-position: -1200px 0;
        /* sesuaikan sama width gambar */
    }
}

@keyframes floatChar1 {
    0% {
        transform: translateY(0px) rotate(0deg);
    }

    50% {
        transform: translateY(-15px) rotate(1deg);
    }

    100% {
        transform: translateY(0px) rotate(0deg);
    }
}

@keyframes cardMove2 {
    0% {
        transform: translateX(0px) rotate(0deg);
    }

    50% {
        transform: translateX(10px) rotate(2deg);
    }

    100% {
        transform: translateX(0px) rotate(0deg);
    }
}

@keyframes cardMove3 {
    0% {
        transform: translateX(0px) rotate(0deg);
    }

    50% {
        transform: translateX(-12px) rotate(-2deg);
    }

    100% {
        transform: translateX(0px) rotate(0deg);
    }
}

@keyframes pulse {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    50% {
        -webkit-transform: scale3d(1.05, 1.05, 1.05);
        transform: scale3d(1.05, 1.05, 1.05);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@media (max-width: 767px) {
    .ggl-roc-section-2 {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        position: relative;
        z-index: 1;
        height: auto;
        margin-top: 0 !important;
    }

    .ggl-roc-section-2-content {
        position: relative;
        z-index: 2;
        height: 177vw;
    }

    .ggl-roc-floating {
        position: absolute;
        max-width: 216px;
        width: 17%;
        top: 1%;
        left: 3%;
        z-index: 2;
    }

    .ggl-roc-section-2-title {
        max-width: 999px;
        width: 77vw;
        top: 23%;
        left: 50%;
    }

    .ggl-roc-section-2-char1 {
        top: 47.4%;
        width: 45%;
        left: 32%;
    }

    .ggl-roc-section-2-char2 {
        width: 50%;
        top: 50%;
        left: 44%;
    }

    .ggl-roc-section-2-char3 {
        width: 50%;
        top: 50%;
        left: 9%;
    }

    .ggl-roc-section-2-btn {
        width: 74vw;
        top: 35%;
        right: 13%;
    }

    .ggl-roc-section-2-tagline {
        width: 73%;
        top: 42%;
        right: 14%;
    }

    .ggl-roc-section-2-roll {
        width: 100%;
        height: 20%;
        bottom: 0;
    }
}


/* FOOTER */
.btn-to-top {
    text-align: right;
    cursor: pointer;
    position: fixed;
    bottom: 1vw;
    right: 1vw;
    display: none;
    z-index: 999;
}

.btn-to-top img {
    width: 60%;
    max-width: 125px;
}

footer {
    background-color: #252525;
    border-top: 5px solid #e49d0c;
    background-size: cover;
    position: relative;
    /* z-index: 3; */
}

.row-logo {
    padding-top: 2vw;
    padding-bottom: 3vw;
}

.sosmed a {
    color: #fff;
    font-size: 24pt;
    margin-right: 1vw;
    transition-duration: 0.3s;
}

.sosmed a:hover {
    color: #fa9e25;
}

.ggl-logo {
    margin-right: 2vw;
    padding-top: 1vw;
}

.ggl-info {
    padding-top: 2vw;
    font-weight: bold;
    color: #ffe;
}

@media (max-width: 768px) {
    .ggl-info {
        font-size: 0.9rem;
    }
}
